@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&family=Skranji:wght@400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Alex+Brush&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Roboto", serif;   
}

body {
    background: linear-gradient(#917158, #EAB45E, #FBECC1, white) no-repeat;    
}

header {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 20px;
}

h1 {
    font-family: 'Alex Brush', cursive;
    color: #F6C90E;
    text-align: center;
    margin-top: 5px;
}

.logo {
    width: 40px;
    margin-right: 20px;
}

figure {
    margin: 1rem;
    display: flex;
    justify-content: center;
}
#hidden {
    position: absolute;
    left: 30px;
    z-index: 2;
}

#bee {
    width: 30px;
    position: absolute;
    z-index: 1;
    animation: fly 6s linear infinite 2s, flip 6s steps(1, end) infinite 2s;
}

#beehive-tree {
    position: absolute;
    left: 30px;

}
a {
    text-decoration: none;
}

#beehive {
    position: relative;
    margin: 0 auto;
    right: 30px;
}

.hives {
    position: relative;
    background: transparent;
    margin: 0 auto;
    width: 94px;
    height: 55px;
    animation: pulse 3s infinite;
}

.hives:hover {
    animation: none;
    filter: drop-shadow(0 0 14px yellow);
}

#hive1 {
    top: 50px;
    filter: drop-shadow(-5px -5px 12px yellow)
}


#hive2 {
    bottom: 5px;
    left: 95px;
}

#hive3 {
    left: 48px;
    top: 22px;
}

#hive4 {
    right: 47px;
    bottom: 32px;
}

#hive5 {
    bottom: 5px;
}

#hive6 {
    right: 47px;
    top: 24px;
}

#hive7 {
    bottom: 60px;
    left: 92px;
}

#hive8 {
    bottom: 198px;
    left: 140px;
}

#hive9 {
    bottom: 308px;
    left: 140px;
}

.container {
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    display: flex;
    position: absolute;
    justify-content: space-between;
    align-items: center;
}

.icone {
    width: 30px;
    height: 30px;
    background-image: url('./images/LogoMarromBranca.png');
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    animation: stars 4s linear infinite;
    animation-duration: calc(300s / var(--i));
}

footer { 
    text-align: center;
    font-weight: 200;
    position: absolute;
    bottom: 0;
    width: 100vw;
}

footer>a {
   columns: grey;
}

footer>a:visited {
   columns: grey;
}

@media (min-width: 1024px) {
    #bee {
        width: 30px;
        position: absolute;
        z-index: 1;
        animation: fly-1024 14s linear infinite, flip 14s steps(1, end) infinite;
    }
  }

@keyframes fly-1024 {
    0% {

    }
    25% {
        left: 40px;
        top: 34px;
    }
    50% {
        left:1200px;
        top: 144px;
    }
    75% {
        left: 350px;
        top: 180px;
    }
    100% {
        left:67px;
        top: 44px;
    }
}

@keyframes fly {
    0% {

    }
    25% {
        left: 40px;
        top: 34px;
    }
    50% {
        left:367px;
        top: 144px;
    }
    75% {
        left: 150px;
        top: 180px;
    }
    100% {
        left:67px;
        top: 44px;
    }
}

@keyframes flip {
    0% {
        z-index: 1;
    }
    50% {
        transform: rotateY(180deg);
        z-index: 0;
    }
    100% {
        z-index: 0;        
    }
}

@keyframes stars {
    0% {
        transform: translateX(0px)translateY(100vh) scale(0);
        opacity: 1;
    }
    50% {
        opacity: 0.8;
        transform: translateX(calc(2px * var(--i)))
    }
    100% {
        transform: translateX(calc(2px * var(--o))) translateY(-80vh) scale(1);
        opacity: 0;
    }
}

@keyframes rotate {
    0% {
        filter: drop-shadow(0 0 0px yellow);
        transform: translateY(0px) translateX(0px) ;
    }
    50% {
        transform: translateY(6px) translateX(6px) ;
    }
    100% {
        filter: drop-shadow(0 0 14px yellow);
        transform: translateY(0px) translateX(0px) ;
    }
}

@keyframes pulse {
    0% {
        filter: drop-shadow(0 0 2px yellow);
    }
    50% {
        filter: drop-shadow(0 0 14px yellow);
    }
    100% {
        filter: drop-shadow(0 0 0px yellow);
    }
}